<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;

$id = isset($_GET['id']) ? abs((int)$_GET['id']) : false;
$array = DB::$dbs->query("SELECT * FROM album_cat WHERE id = ? LIMIT 1", [$id]);
if ($array-> rowCount() == 0) {
header('location: /');
die();
}
$arr = $array -> fetch();
$title->SetTitle('Фотоальбом - '.$arr['name']);

///Подключаем шапку
$title->GetHeader();
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Фотоальбом </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/gallery" rel="v:url" property="v:title">Фотоальбом</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">'.$arr['name'].'</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';

echo '<div class="catSides"><a href="/"><i class="md-format-list-bulleted"></i> Главная </a> - <a href="/gallery">Список альбомов</a> - Альбом '.$arr['name'].'</div>';

if ($b == true) echo '<ul class="nav nav-pills nav-stacked"><li><a href="upload.html?id='.$id.'"><i class="md-apps"></i>  Добавить изображение</a></ul>';
$k_foto = DB::$dbs->querySingle("SELECT COUNT(id) FROM album_foto WHERE cid = ?", [$id]);
$num = 10;
$k_page = k_page($k_foto, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs->query("SELECT * FROM album_foto WHERE cid = ? ORDER BY time DESC LIMIT $start,$num", [$id]);
if ($sql->rowCount() == 0) {
err('Изображений нет');
} else {
while($a = $sql -> fetch()) {
$ED = (($a['user_id'] == $b['id'] || $b['level'] > 2) ? '<br/>[<a href="edit_foto.html?id='.$a['id'].'">изменить</a> | <a href="del_foto.html?id='.$a['id'].'">удалить</a>]':NULL);
$R = $a['rat'];
echo '<div class="row text_box">&#187; Название: '.$a['name'].'<br/><br/><div class="image"><a href="/'.$a['path'].'"><img width="380" height="250" src="/'.$a['path'].'" alt="not found"/></a></div><br/>&#187; Автор: '.Nick($a['user_id']).'<br/>&#187; Добавлено: '.vr($a['time']).'<br/>&#187; <a href="rating.html?id='.$a['id'].'">Оценка</a>: '.($R == 0 ? 'Не оценено': $R).'<br/>&#187; <a href="comm.html?id='.$a['id'].'">Комментарии</a>: '.DB::$dbs->querySingle("SELECT COUNT(id) FROM album_comm WHERE fid = ?", [$a['id']]).$ED.'</div>';
}
}
if ($k_page>1) {
str('?id='.$id.'&', $k_page,$page);
}
///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>